-- () => Unit
local function initConfigWindow()
  PeskyTimerPeriodRowInput:SetText(Pesky.db.profile.defaultTimerPeriod)
  PeskyBreakPeriodRowInput:SetText(Pesky.db.profile.defaultBreakPeriod)
  PeskyGracePeriodRowInput:SetText(Pesky.db.profile.defaultGracePeriod)
end

-- () => Unit
function Pesky.onClick_OK()
  Pesky.db.profile.defaultTimerPeriod = PeskyTimerPeriodRowInput:GetText()
  Pesky.db.profile.defaultBreakPeriod = PeskyBreakPeriodRowInput:GetText()
  Pesky.db.profile.defaultGracePeriod = PeskyGracePeriodRowInput:GetText()
  PeskyConfigFrame:Hide()
end

-- () => Unit
function Pesky.onClick_Cancel()
  initConfigWindow()
  PeskyConfigFrame:Hide()
end

-- () => Unit
function Pesky.initUI()
  initConfigWindow()
end
